<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

   public function up()
{
    Schema::create('questions', function (Blueprint $table) {
        $table->id();
        $table->foreignId('section_id')->constrained('sections')->onDelete('cascade');
        $table->text('question_text');
        $table->string('type'); // 'radio', 'text', 'checkbox'
        $table->integer('order')->default(0);
        $table->timestamps();
    });
}


    public function down(): void
    {
        Schema::dropIfExists('questions');
    }
};
